Subject: Calc Trail window isn't correctly dedicated

From: Okam <[email-masked]>
Date: Sun, 17 Jan 2021 04:08:53 +0000

Hello,

In bug#44108, a patch is given to dedicate the windows created by Calc, 
and this is applied in commit ca023e69e2d9ea79814a6c5f92c6e31c8f1efa70.

I am currently using the native-comp branch, and find that the window 
displaying the "*Calc Trail*" buffer is still not being set as 
dedicated. This problem happens in `calc-trail-display` which uses the code

     (set-window-dedicated-p nil t)

to dedicate the window.  I find that running this code after the trail 
is displayed works correctly, and that the window displaying the 
"*Calculator*" buffer is being correctly dedicated.

Thank you.